diff --git a/PhysicsTools/BPHNano/plugins/V0ReBuilder.cc b/PhysicsTools/BPHNano/plugins/V0ReBuilder.cc
index 993c85b97dec..ccc4db14f580 100644
--- a/PhysicsTools/BPHNano/plugins/V0ReBuilder.cc
+++ b/PhysicsTools/BPHNano/plugins/V0ReBuilder.cc
@@ -38,7 +38,7 @@
 
 class V0ReBuilder : public edm::global::EDProducer<> {
   // perhaps we need better structure here (begin run etc)
- public:
+public:
   typedef std::vector<reco::TransientTrack> TransientTrackCollection;
   typedef std::vector<reco::VertexCompositePtrCandidate> V0Collection;
 
@@ -48,11 +48,9 @@ class V0ReBuilder : public edm::global::EDProducer<> {
         pre_vtx_selection_{cfg.getParameter<std::string>("V0Selection")},
         post_vtx_selection_{cfg.getParameter<std::string>("postVtxSelection")},
         v0s_{consumes<V0Collection>(cfg.getParameter<edm::InputTag>("V0s"))},
-        beamspot_{consumes<reco::BeamSpot>(
-            cfg.getParameter<edm::InputTag>("beamSpot"))},
-        track_match_{
-            consumes<edm::Association<pat::CompositeCandidateCollection>>(
-                cfg.getParameter<edm::InputTag>("track_match"))},
+        beamspot_{consumes<reco::BeamSpot>(cfg.getParameter<edm::InputTag>("beamSpot"))},
+        track_match_{consumes<edm::Association<pat::CompositeCandidateCollection>>(
+            cfg.getParameter<edm::InputTag>("track_match"))},
         isLambda_{cfg.getParameter<bool>("isLambda")} {
     produces<pat::CompositeCandidateCollection>("SelectedV0Collection");
     produces<TransientTrackCollection>("SelectedV0TransientCollection");
@@ -60,26 +58,22 @@ class V0ReBuilder : public edm::global::EDProducer<> {
 
   ~V0ReBuilder() override {}
 
-  void produce(edm::StreamID, edm::Event &,
-               const edm::EventSetup &) const override;
+  void produce(edm::StreamID, edm::Event &, const edm::EventSetup &) const override;
 
   static void fillDescriptions(edm::ConfigurationDescriptions &descriptions) {}
 
- private:
+private:
   const edm::ESGetToken<TransientTrackBuilder, TransientTrackRecord> theB_;
   const StringCutObjectSelector<pat::PackedCandidate> trk_selection_;
-  const StringCutObjectSelector<reco::VertexCompositePtrCandidate>
-      pre_vtx_selection_;
+  const StringCutObjectSelector<reco::VertexCompositePtrCandidate> pre_vtx_selection_;
   const StringCutObjectSelector<pat::CompositeCandidate> post_vtx_selection_;
   const edm::EDGetTokenT<V0Collection> v0s_;
   const edm::EDGetTokenT<reco::BeamSpot> beamspot_;
-  const edm::EDGetTokenT<edm::Association<pat::CompositeCandidateCollection>>
-      track_match_;
+  const edm::EDGetTokenT<edm::Association<pat::CompositeCandidateCollection>> track_match_;
   const bool isLambda_;
 };
 
-void V0ReBuilder::produce(edm::StreamID, edm::Event &evt,
-                          edm::EventSetup const &iSetup) const {
+void V0ReBuilder::produce(edm::StreamID, edm::Event &evt, edm::EventSetup const &iSetup) const {
   // input
   auto const theB = &iSetup.getData(theB_);
   edm::Handle<V0Collection> V0s;
@@ -90,45 +84,42 @@ void V0ReBuilder::produce(edm::StreamID, edm::Event &evt,
   auto &track_match = evt.get(track_match_);
 
   // output
-  std::unique_ptr<pat::CompositeCandidateCollection> ret_val(
-      new pat::CompositeCandidateCollection());
-  std::unique_ptr<TransientTrackCollection> trans_out(
-      new TransientTrackCollection);
+  std::unique_ptr<pat::CompositeCandidateCollection> ret_val(new pat::CompositeCandidateCollection());
+  std::unique_ptr<TransientTrackCollection> trans_out(new TransientTrackCollection);
 
   size_t v0_idx = 0;
-  for (reco::VertexCompositePtrCandidateCollection::const_iterator v0 =
-           V0s->begin();
-       v0 != V0s->end(); v0++) {
+  for (reco::VertexCompositePtrCandidateCollection::const_iterator v0 = V0s->begin(); v0 != V0s->end(); v0++) {
     reco::VertexCompositePtrCandidate V0 = V0s->at(v0_idx);
     v0_idx++;
 
     // selection on V0s
-    if (v0->numberOfDaughters() != 2) continue;
-    if (!pre_vtx_selection_(V0)) continue;
+    if (v0->numberOfDaughters() != 2)
+      continue;
+    if (!pre_vtx_selection_(V0))
+      continue;
 
-    pat::PackedCandidate v0daughter1 =
-        *(dynamic_cast<const pat::PackedCandidate *>(v0->daughter(0)));
-    pat::PackedCandidate v0daughter2 =
-        *(dynamic_cast<const pat::PackedCandidate *>(v0->daughter(1)));
+    pat::PackedCandidate v0daughter1 = *(dynamic_cast<const pat::PackedCandidate *>(v0->daughter(0)));
+    pat::PackedCandidate v0daughter2 = *(dynamic_cast<const pat::PackedCandidate *>(v0->daughter(1)));
 
-    if (!v0daughter1.hasTrackDetails()) continue;
-    if (!v0daughter2.hasTrackDetails()) continue;
+    if (!v0daughter1.hasTrackDetails())
+      continue;
+    if (!v0daughter2.hasTrackDetails())
+      continue;
 
     if (fabs(v0daughter1.pdgId()) != 211)
       continue;  // This cut do not affect the Lambda->proton pion candidates
     if (fabs(v0daughter2.pdgId()) != 211)
       continue;  // This cut do not affect the Lambda->proton pion candidates
 
-    if (!trk_selection_(v0daughter1) || !trk_selection_(v0daughter2)) continue;
+    if (!trk_selection_(v0daughter1) || !trk_selection_(v0daughter2))
+      continue;
 
-    reco::TransientTrack
-        v0daughter1_ttrack;  // 1st daughter, leading daughter to be assigned.
-                             // Proton mass will be assigned for the
-                             // Lambda->Proton Pion mode, Pion mass will be
-                             // assigned for the Kshort->PionPion mode.
-    reco::TransientTrack
-        v0daughter2_ttrack;  // 2nd daughter, subleading daughter to be
-                             // assigned. It hass always the pion mass
+    reco::TransientTrack v0daughter1_ttrack;  // 1st daughter, leading daughter to be assigned.
+                                              // Proton mass will be assigned for the
+                                              // Lambda->Proton Pion mode, Pion mass will be
+                                              // assigned for the Kshort->PionPion mode.
+    reco::TransientTrack v0daughter2_ttrack;  // 2nd daughter, subleading daughter to be
+                                              // assigned. It hass always the pion mass
 
     if (v0daughter1.p() > v0daughter2.p()) {
       v0daughter1_ttrack = theB->build(v0daughter1.bestTrack());
@@ -143,16 +134,14 @@ void V0ReBuilder::produce(edm::StreamID, edm::Event &evt,
     float Track2_mass = PI_MASS;
     float Track2_sigma = PI_SIGMA;
     // create V0 vertex
-    KinVtxFitter fitter({v0daughter1_ttrack, v0daughter2_ttrack},
-                        {Track1_mass, Track2_mass},
-                        {Track1_sigma, Track2_sigma});
+    KinVtxFitter fitter(
+        {v0daughter1_ttrack, v0daughter2_ttrack}, {Track1_mass, Track2_mass}, {Track1_sigma, Track2_sigma});
 
-    if (!fitter.success()) continue;
+    if (!fitter.success())
+      continue;
 
     pat::CompositeCandidate cand;
-    cand.setVertex(reco::Candidate::Point(fitter.fitted_vtx().x(),
-                                          fitter.fitted_vtx().y(),
-                                          fitter.fitted_vtx().z()));
+    cand.setVertex(reco::Candidate::Point(fitter.fitted_vtx().x(), fitter.fitted_vtx().y(), fitter.fitted_vtx().z()));
     auto fit_p4 = fitter.fitted_p4();
     cand.setP4(fit_p4);
 
@@ -160,19 +149,15 @@ void V0ReBuilder::produce(edm::StreamID, edm::Event &evt,
     cand.addUserFloat("sv_chi2", fitter.chi2());
     cand.addUserFloat("sv_prob", fitter.prob());
     cand.addUserFloat("fitted_mass", fitter.fitted_candidate().mass());
-    cand.addUserFloat(
-        "massErr",
-        sqrt(fitter.fitted_candidate().kinematicParametersError().matrix()(6,
-                                                                           6)));
-    cand.addUserFloat("cos_theta_2D",
-                      cos_theta_2D(fitter, *beamspot, cand.p4()));
-    cand.addUserFloat("fitted_cos_theta_2D",
-                      cos_theta_2D(fitter, *beamspot, fit_p4));
+    cand.addUserFloat("massErr", sqrt(fitter.fitted_candidate().kinematicParametersError().matrix()(6, 6)));
+    cand.addUserFloat("cos_theta_2D", cos_theta_2D(fitter, *beamspot, cand.p4()));
+    cand.addUserFloat("fitted_cos_theta_2D", cos_theta_2D(fitter, *beamspot, fit_p4));
     auto lxy = l_xy(fitter, *beamspot);
     cand.addUserFloat("l_xy", lxy.value());
     cand.addUserFloat("l_xy_unc", lxy.error());
 
-    if (!post_vtx_selection_(cand)) continue;
+    if (!post_vtx_selection_(cand))
+      continue;
 
     cand.addUserFloat("vtx_x", cand.vx());
     cand.addUserFloat("vtx_y", cand.vy());
diff --git a/PhysicsTools/BPHNano/plugins/helper.h b/PhysicsTools/BPHNano/plugins/helper.h
index 2c89507253d9..ed86a56a4429 100644
--- a/PhysicsTools/BPHNano/plugins/helper.h
+++ b/PhysicsTools/BPHNano/plugins/helper.h
@@ -36,8 +36,7 @@ constexpr float PROT_SIGMA = 0.000016;
 constexpr float MUON_MASS = 0.10565837;
 constexpr float ELECTRON_MASS = 0.000511;
 
-inline std::pair<float, float> min_max_dr(
-    const std::vector<edm::Ptr<reco::Candidate>>& cands) {
+inline std::pair<float, float> min_max_dr(const std::vector<edm::Ptr<reco::Candidate>>& cands) {
   float min_dr = std::numeric_limits<float>::max();
   float max_dr = 0.;
   for (size_t i = 0; i < cands.size(); ++i) {
@@ -51,9 +50,9 @@ inline std::pair<float, float> min_max_dr(
 }
 
 template <typename FITTER, typename LORENTZ_VEC>
-inline double cos_theta_2D(const FITTER& fitter, const reco::BeamSpot& bs,
-                           const LORENTZ_VEC& p4) {
-  if (!fitter.success()) return -2;
+inline double cos_theta_2D(const FITTER& fitter, const reco::BeamSpot& bs, const LORENTZ_VEC& p4) {
+  if (!fitter.success())
+    return -2;
   GlobalPoint point = fitter.fitted_vtx();
   auto bs_pos = bs.position(point.z());
   math::XYZVector delta(point.x() - bs_pos.x(), point.y() - bs_pos.y(), 0.);
@@ -64,7 +63,8 @@ inline double cos_theta_2D(const FITTER& fitter, const reco::BeamSpot& bs,
 
 template <typename FITTER>
 inline Measurement1D l_xy(const FITTER& fitter, const reco::BeamSpot& bs) {
-  if (!fitter.success()) return {-2, -2};
+  if (!fitter.success())
+    return {-2, -2};
   GlobalPoint point = fitter.fitted_vtx();
   GlobalError err = fitter.fitted_vtx_uncertainty();
   auto bs_pos = bs.position(point.z());
@@ -82,23 +82,18 @@ bm.dxdz()), -1*( (bm.y0()-Bvtx.y()) + (Bvtx.z()-bm.z0()) * bm.dydz()), 0);
 }
 */
 
-inline float CosA(
-    GlobalPoint& dist,
-    ROOT::Math::LorentzVector<ROOT::Math::PxPyPzE4D<double>>& Bp4) {
+inline float CosA(GlobalPoint& dist, ROOT::Math::LorentzVector<ROOT::Math::PxPyPzE4D<double>>& Bp4) {
   math::XYZVector vperp(dist.x(), dist.y(), 0);
   math::XYZVector pperp(Bp4.Px(), Bp4.Py(), 0);
   return vperp.Dot(pperp) / (vperp.R() * pperp.R());
 }
 
-inline std::pair<double, double> computeDCA(const reco::TransientTrack& trackTT,
-                                            const reco::BeamSpot& beamSpot) {
+inline std::pair<double, double> computeDCA(const reco::TransientTrack& trackTT, const reco::BeamSpot& beamSpot) {
   double DCABS = -1.;
   double DCABSErr = -1.;
 
-  TrajectoryStateClosestToPoint theDCAXBS =
-      trackTT.trajectoryStateClosestToPoint(
-          GlobalPoint(beamSpot.position().x(), beamSpot.position().y(),
-                      beamSpot.position().z()));
+  TrajectoryStateClosestToPoint theDCAXBS = trackTT.trajectoryStateClosestToPoint(
+      GlobalPoint(beamSpot.position().x(), beamSpot.position().y(), beamSpot.position().z()));
   if (theDCAXBS.isValid()) {
     DCABS = theDCAXBS.perigeeParameters().transverseImpactParameter();
     DCABSErr = theDCAXBS.perigeeError().transverseImpactParameterError();
@@ -107,11 +102,9 @@ inline std::pair<double, double> computeDCA(const reco::TransientTrack& trackTT,
   return std::make_pair(DCABS, DCABSErr);
 }
 
-inline bool track_to_lepton_match(edm::Ptr<reco::Candidate> l_ptr,
-                                  auto iso_tracks_id, unsigned int iTrk) {
+inline bool track_to_lepton_match(edm::Ptr<reco::Candidate> l_ptr, auto iso_tracks_id, unsigned int iTrk) {
   for (unsigned int i = 0; i < l_ptr->numberOfSourceCandidatePtrs(); ++i) {
-    if (!((l_ptr->sourceCandidatePtr(i)).isNonnull() &&
-          (l_ptr->sourceCandidatePtr(i)).isAvailable()))
+    if (!((l_ptr->sourceCandidatePtr(i)).isNonnull() && (l_ptr->sourceCandidatePtr(i)).isAvailable()))
       continue;
     const edm::Ptr<reco::Candidate>& source = l_ptr->sourceCandidatePtr(i);
     if (source.id() == iso_tracks_id && source.key() == iTrk) {
@@ -121,43 +114,42 @@ inline bool track_to_lepton_match(edm::Ptr<reco::Candidate> l_ptr,
   return false;
 }
 
-inline std::pair<bool, Measurement1D> absoluteImpactParameter(
-    const TrajectoryStateOnSurface& tsos, RefCountedKinematicVertex vertex,
-    VertexDistance& distanceComputer) {
+inline std::pair<bool, Measurement1D> absoluteImpactParameter(const TrajectoryStateOnSurface& tsos,
+                                                              RefCountedKinematicVertex vertex,
+                                                              VertexDistance& distanceComputer) {
   if (!tsos.isValid()) {
     return std::pair<bool, Measurement1D>(false, Measurement1D(0., 0.));
   }
   GlobalPoint refPoint = tsos.globalPosition();
   GlobalError refPointErr = tsos.cartesianError().position();
   GlobalPoint vertexPosition = vertex->vertexState().position();
-  GlobalError vertexPositionErr =
-      RecoVertex::convertError(vertex->vertexState().error());
+  GlobalError vertexPositionErr = RecoVertex::convertError(vertex->vertexState().error());
   return std::pair<bool, Measurement1D>(
       true,
-      distanceComputer.distance(VertexState(vertexPosition, vertexPositionErr),
-                                VertexState(refPoint, refPointErr)));
+      distanceComputer.distance(VertexState(vertexPosition, vertexPositionErr), VertexState(refPoint, refPointErr)));
 }
 
-inline std::pair<bool, Measurement1D> absoluteImpactParameter3D(
-    const TrajectoryStateOnSurface& tsos, RefCountedKinematicVertex vertex) {
+inline std::pair<bool, Measurement1D> absoluteImpactParameter3D(const TrajectoryStateOnSurface& tsos,
+                                                                RefCountedKinematicVertex vertex) {
   VertexDistance3D dist;
   return absoluteImpactParameter(tsos, vertex, dist);
 }
 
-inline std::pair<bool, Measurement1D> absoluteTransverseImpactParameter(
-    const TrajectoryStateOnSurface& tsos, RefCountedKinematicVertex vertex) {
+inline std::pair<bool, Measurement1D> absoluteTransverseImpactParameter(const TrajectoryStateOnSurface& tsos,
+                                                                        RefCountedKinematicVertex vertex) {
   VertexDistanceXY dist;
   return absoluteImpactParameter(tsos, vertex, dist);
 }
 
-inline std::pair<bool, Measurement1D> signedImpactParameter3D(
-    const TrajectoryStateOnSurface& tsos, RefCountedKinematicVertex vertex,
-    const reco::BeamSpot& bs, double pv_z) {
+inline std::pair<bool, Measurement1D> signedImpactParameter3D(const TrajectoryStateOnSurface& tsos,
+                                                              RefCountedKinematicVertex vertex,
+                                                              const reco::BeamSpot& bs,
+                                                              double pv_z) {
   VertexDistance3D dist;
 
-  std::pair<bool, Measurement1D> result =
-      absoluteImpactParameter(tsos, vertex, dist);
-  if (!result.first) return result;
+  std::pair<bool, Measurement1D> result = absoluteImpactParameter(tsos, vertex, dist);
+  if (!result.first)
+    return result;
 
   // Compute Sign
   auto bs_pos = bs.position(vertex->vertexState().position().z());
@@ -174,19 +166,18 @@ inline std::pair<bool, Measurement1D> signedImpactParameter3D(
   double sign = (prod >= 0) ? 1. : -1.;
 
   // Apply sign to the result
-  return std::pair<bool, Measurement1D>(
-      result.first,
-      Measurement1D(sign * result.second.value(), result.second.error()));
+  return std::pair<bool, Measurement1D>(result.first,
+                                        Measurement1D(sign * result.second.value(), result.second.error()));
 }
 
-inline std::pair<bool, Measurement1D> signedTransverseImpactParameter(
-    const TrajectoryStateOnSurface& tsos, RefCountedKinematicVertex vertex,
-    const reco::BeamSpot& bs) {
+inline std::pair<bool, Measurement1D> signedTransverseImpactParameter(const TrajectoryStateOnSurface& tsos,
+                                                                      RefCountedKinematicVertex vertex,
+                                                                      const reco::BeamSpot& bs) {
   VertexDistanceXY dist;
 
-  std::pair<bool, Measurement1D> result =
-      absoluteImpactParameter(tsos, vertex, dist);
-  if (!result.first) return result;
+  std::pair<bool, Measurement1D> result = absoluteImpactParameter(tsos, vertex, dist);
+  if (!result.first)
+    return result;
 
   // Compute Sign
   auto bs_pos = bs.position(vertex->vertexState().position().z());
@@ -194,29 +185,30 @@ inline std::pair<bool, Measurement1D> signedTransverseImpactParameter(
   GlobalVector IPVec(impactPoint.x() - vertex->vertexState().position().x(),
                      impactPoint.y() - vertex->vertexState().position().y(),
                      0.);
-  GlobalVector direction(vertex->vertexState().position().x() - bs_pos.x(),
-                         vertex->vertexState().position().y() - bs_pos.y(), 0);
+  GlobalVector direction(
+      vertex->vertexState().position().x() - bs_pos.x(), vertex->vertexState().position().y() - bs_pos.y(), 0);
 
   double prod = IPVec.dot(direction);
   double sign = (prod >= 0) ? 1. : -1.;
 
   // Apply sign to the result
-  return std::pair<bool, Measurement1D>(
-      result.first,
-      Measurement1D(sign * result.second.value(), result.second.error()));
+  return std::pair<bool, Measurement1D>(result.first,
+                                        Measurement1D(sign * result.second.value(), result.second.error()));
 }
 
-inline std::vector<float> TrackerIsolation(
-    edm::Handle<pat::CompositeCandidateCollection>& tracks,
-    pat::CompositeCandidate& B, std::vector<std::string>& dnames) {
+inline std::vector<float> TrackerIsolation(edm::Handle<pat::CompositeCandidateCollection>& tracks,
+                                           pat::CompositeCandidate& B,
+                                           std::vector<std::string>& dnames) {
   std::vector<float> iso(dnames.size(), 0);
   for (size_t k_idx = 0; k_idx < tracks->size(); ++k_idx) {
     edm::Ptr<pat::CompositeCandidate> trk_ptr(tracks, k_idx);
     for (size_t iname = 0; iname < dnames.size(); ++iname) {
       float dr = deltaR(B.userFloat("fitted_" + dnames[iname] + "_eta"),
                         B.userFloat("fitted_" + dnames[iname] + "_phi"),
-                        trk_ptr->eta(), trk_ptr->phi());
-      if (dr > 0 && dr < 0.4) iso[iname] += trk_ptr->pt();
+                        trk_ptr->eta(),
+                        trk_ptr->phi());
+      if (dr > 0 && dr < 0.4)
+        iso[iname] += trk_ptr->pt();
     }
   }
   return iso;
